package org.gcube.portlets.widgets.wstaskexecutor.shared;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;



/**
 * The Class WsFolder.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * May 8, 2018
 */
public class WsFolder implements Serializable, IsSerializable{


	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private String folderId;
	private String foderName;
	private String publicLink;


	/**
	 * Instantiates a new ws folder.
	 */
	public WsFolder() {
	}


	/**
	 * Instantiates a new ws folder.
	 *
	 * @param folderId the folder id
	 * @param foderName the foder name
	 * @param publicLink the public link
	 */
	public WsFolder(String folderId, String foderName, String publicLink) {
		this.folderId = folderId;
		this.foderName = foderName;
		this.publicLink = publicLink;
	}



	/**
	 * Gets the folder id.
	 *
	 * @return the folder id
	 */
	public String getFolderId() {
		return folderId;
	}


	/**
	 * Sets the folder id.
	 *
	 * @param folderId the new folder id
	 */
	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}


	/**
	 * Gets the foder name.
	 *
	 * @return the foder name
	 */
	public String getFoderName() {
		return foderName;
	}


	/**
	 * Gets the public link.
	 *
	 * @return the public link
	 */
	public String getPublicLink() {

		return publicLink;
	}


	/**
	 * Sets the foder name.
	 *
	 * @param foderName the new foder name
	 */
	public void setFoderName(String foderName) {
		this.foderName = foderName;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("WsFolder [folderId=");
		builder.append(folderId);
		builder.append(", foderName=");
		builder.append(foderName);
		builder.append(", publicLink=");
		builder.append(publicLink);
		builder.append("]");
		return builder.toString();
	}



}
